Loading...
Searching...
No Matches
wimlib_progress_info::wimlib_progress_info_test_file_exclusion Struct Reference

Valid on messages WIMLIB_PROGRESS_MSG_TEST_FILE_EXCLUSION. More...

`#include <wimlib.h>`

## Data Fields

const wimlib_tchar * | path
| Path to the file for which exclusion is being tested.
bool | will_exclude
| Indicates whether the file or directory will be excluded from capture or not.

## Detailed Description

Valid on messages WIMLIB_PROGRESS_MSG_TEST_FILE_EXCLUSION.

## Field Documentation

## path

const wimlib_tchar* wimlib_progress_info::wimlib_progress_info_test_file_exclusion::path

Path to the file for which exclusion is being tested.

UNIX capture mode: The path will be a standard relative or absolute UNIX filesystem path.

NTFS-3G capture mode: The path will be given relative to the root of the NTFS volume, with a leading slash.

Windows capture mode: The path will be a Win32 namespace path to the file.

## will_exclude

bool wimlib_progress_info::wimlib_progress_info_test_file_exclusion::will_exclude

Indicates whether the file or directory will be excluded from capture or not.

This will be `false` by default. The progress function can set this to `true` if it decides that the file needs to be excluded.

The documentation for this struct was generated from the following file:

- wimlib.h